aboutsummaryrefslogtreecommitdiffstats
path: root/package/block-extroot/files/extmount.sh
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2010-02-26 22:46:10 +0000
committerFelix Fietkau <nbd@openwrt.org>2010-02-26 22:46:10 +0000
commitddf22a9a5112939fbc67473ee6431f19af8811ad (patch)
tree3ad67390f54afb3c49c662e0df68041834f6abd9 /package/block-extroot/files/extmount.sh
parent2de472e0f15fc3daf1669d302ecb78ecc5f643c5 (diff)
downloadupstream-ddf22a9a5112939fbc67473ee6431f19af8811ad.tar.gz
upstream-ddf22a9a5112939fbc67473ee6431f19af8811ad.tar.bz2
upstream-ddf22a9a5112939fbc67473ee6431f19af8811ad.zip
add block-extroot, a package for using an external filesystem as rootfs (patch by cshore)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@19880 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/block-extroot/files/extmount.sh')
-rw-r--r--package/block-extroot/files/extmount.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/package/block-extroot/files/extmount.sh b/package/block-extroot/files/extmount.sh
new file mode 100644
index 0000000000..dfd6eef073
--- /dev/null
+++ b/package/block-extroot/files/extmount.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright 2010 Vertical Communications
+
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+
+determine_root_device() {
+ root_device="$(mount | grep ' / ' | cut -f1 -d\ | grep -v rootfs )"
+}
+
+set_jffs_mp() {
+ jffs="$(awk '/jffs2/ {print $2}' /proc/mounts)"
+}
+
+er_load_modules() {
+ [ -d $ER_ROOT/etc/modules.d ] && {
+ cd $ER_ROOT/etc/modules.d && {
+ local modules="$(grep -l '# May be required for rootfs' *)"
+ cat $modules | sed 's/^\([^#]\)/insmod \1/' | sh 2>&- || :
+ }
+ }
+}
+
+